Bug 186110 - connected over USB, only first document is printed
Summary: connected over USB, only first document is printed
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: usb (show other bugs)
Version: Unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-usb (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-25 21:40 UTC by Volker Nebel
Modified: 2017-12-31 22:27 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Nebel 2014-01-25 21:40:00 UTC
Hi!

Perhaps I only fail because the handbook (which is excellent in many ways) provi
des only little info on how to connect a printer to an USB port. In case there i
s something special I overlooked, please let me know how I should do it and send
 this PR to Class www.
   My printer is an HP LaserJet 6MP without an USB interface (too old). It serve
s me fine when connected to a computer's parallel port. When I connect this prin
ter to a computer's USB port (with an adapter cable), only the first document (w
hat size ever) is printed. For further documents, printer starts blinking, stops
 blinking and does nothing.
   For modern computers no longer have a parallel port, I can only connect via U
SB.
   Obviously, the problem has nothing to with the spooling system, for it happen
s as well with [CMD=" "]cat test.ps > /dev/ulpt0[/CMD] issued twice: The first d
ocument is printed, any further not. (The printer understands Postscript.) Same
situation with /dev/unlpt0.
   I observe(d) the problem
- on my Acer Laptop with FreeBSD 8.0 (after [CMD=" "]kldload ulpt[/CMD])
- on my Apple Macmini with FreeBSD 10.0 (where ulpt is compiled into the kernel)
- on a laptop I had in the meantime of which I remember nothing except having Fr
eebSD installed
- on my Apple Macmini running under XUbuntu 10.4.3
   I do/did not observe the problem 
+ on my Apple Macmini running under MacOS X MountainLeopard (which I have completely replaced by FreeBSD) 
+ on my Acer Laptop using parallel port.
   Surprisingly the problem cannot be solved by turning the printer off and on a
gain. It can be solved by rebooting the computer (leaving the printer on). 
   When I issue [CMD=" "]lpr test.ps[/CMD] a 2nd time and [CMD=" "]lpq[/CMD], I
get:
"waiting for lp to become ready (offline?)"
    When connected to the parallel interface interface, the printer worked fine
only in "polled mode". Unfortunately, I don't know how to tune /boot/device.hint
s for ulpt. And [CMD=" "]lptcontrol -p -d /dev/ulpt0[/CMD] returns: "lptcontrol:
 ioctl: Operation not supported by device".

Best regards,
Volker

Fix: 

reboot.
For Ubuntu, they seem to have found a solution by tuning cups:
https://bugs.launchpad.net/ubuntu/+source/cups/+bug/987485
And the guys from Apple somehow solved it as well.
How-To-Repeat: [CMD=" "]cat test.ps > /dev/ulpt0[/CMD] twice. Or
[CMD=" "]lpr test.ps[/CMD] twice.
Or combinations.
Comment 1 HPS 2014-01-25 22:46:38 UTC
On 01/25/14 22:35, Volker Nebel wrote:
>
>> Number:         186110
>> Category:       usb
>> Synopsis:       connected over USB, only first document is printed
>> Confidential:   no
>> Severity:       non-critical
>> Priority:       low
>> Responsible:    freebsd-usb
>> State:          open
>> Quarter:
>> Keywords:
>> Date-Required:
>> Class:          sw-bug
>> Submitter-Id:   current-users
>> Arrival-Date:   Sat Jan 25 21:40:00 UTC 2014
>> Closed-Date:
>> Last-Modified:
>> Originator:     Volker Nebel
>> Release:        10.0 on a Macmini, 8.0 on an Acer laptop
>> Organization:
>> Environment:
> FreeBSD macmini.ror.de 10.0-RELEASE FreeBSD 10.0-Release #1: Fri Jan 24 20:32:29
>   CET 2014     root@macmini.ror.de:/usr/obj/usr/src/sys/MACMINI  amd64
> and for the ACER lapopt:
> FreeBSD nebel.ror.de 8.0-RELEASE FreeBSD 8.0-RELEASE #3: Sat Jan 30 10:46:59 CET
>   2010     root@nebel.ror.de:/usr/obj/usr/src/sys/WENSDAY  i386
>
>
>> Description:
> Hi!
>
> Perhaps I only fail because the handbook (which is excellent in many ways) provi
> des only little info on how to connect a printer to an USB port. In case there i
> s something special I overlooked, please let me know how I should do it and send
>   this PR to Class www.
>     My printer is an HP LaserJet 6MP without an USB interface (too old). It serve
> s me fine when connected to a computer's parallel port. When I connect this prin
> ter to a computer's USB port (with an adapter cable), only the first document (w
> hat size ever) is printed. For further documents, printer starts blinking, stops
>   blinking and does nothing.
>     For modern computers no longer have a parallel port, I can only connect via U
> SB.
>     Obviously, the problem has nothing to with the spooling system, for it happen
> s as well with [CMD=" "]cat test.ps > /dev/ulpt0[/CMD] issued twice: The first d
> ocument is printed, any further not. (The printer understands Postscript.) Same
> situation with /dev/unlpt0.
>     I observe(d) the problem
> - on my Acer Laptop with FreeBSD 8.0 (after [CMD=" "]kldload ulpt[/CMD])
> - on my Apple Macmini with FreeBSD 10.0 (where ulpt is compiled into the kernel)
> - on a laptop I had in the meantime of which I remember nothing except having Fr
> eebSD installed
> - on my Apple Macmini running under XUbuntu 10.4.3
>     I do/did not observe the problem
> + on my Apple Macmini running under MacOS X MountainLeopard (which I have completely replaced by FreeBSD)
> + on my Acer Laptop using parallel port.
>     Surprisingly the problem cannot be solved by turning the printer off and on a
> gain. It can be solved by rebooting the computer (leaving the printer on).
>     When I issue [CMD=" "]lpr test.ps[/CMD] a 2nd time and [CMD=" "]lpq[/CMD], I
> get:
> "waiting for lp to become ready (offline?)"
>      When connected to the parallel interface interface, the printer worked fine
> only in "polled mode". Unfortunately, I don't know how to tune /boot/device.hint
> s for ulpt. And [CMD=" "]lptcontrol -p -d /dev/ulpt0[/CMD] returns: "lptcontrol:
>   ioctl: Operation not supported by device".
>
> Best regards,
> Volker

Hi,

You can trace the USB traffic using usbdump. man usbdump Maybe that will 
give you the clues you need to find the problem.

Thank you!

--HPS
Comment 2 Volker Nebel 2014-01-28 19:39:05 UTC
On Sat, 25 Jan 2014, Hans Petter Selasky wrote:

> On 01/25/14 22:35, Volker Nebel wrote:
>> 
>>> Number:         186110
>>> Category:       usb
>>> Synopsis:       connected over USB, only first document is printed
>>> Confidential:   no
>>> Severity:       non-critical
>>> Priority:       low
>>> Responsible:    freebsd-usb
>>> State:          open
>>> Quarter:
>>> Keywords:
>>> Date-Required:
>>> Class:          sw-bug
>>> Submitter-Id:   current-users
>>> Arrival-Date:   Sat Jan 25 21:40:00 UTC 2014
>>> Closed-Date:
>>> Last-Modified:
>>> Originator:     Volker Nebel
>>> Release:        10.0 on a Macmini, 8.0 on an Acer laptop
>>> Organization:
>>> Environment:
>> FreeBSD macmini.ror.de 10.0-RELEASE FreeBSD 10.0-Release #1: Fri Jan 24 
>> 20:32:29
>>   CET 2014     root@macmini.ror.de:/usr/obj/usr/src/sys/MACMINI  amd64
>> and for the ACER lapopt:
>> FreeBSD nebel.ror.de 8.0-RELEASE FreeBSD 8.0-RELEASE #3: Sat Jan 30 
>> 10:46:59 CET
>>   2010     root@nebel.ror.de:/usr/obj/usr/src/sys/WENSDAY  i386
>> 
>> 
>>> Description:
>> Hi!
>> 
>> Perhaps I only fail because the handbook (which is excellent in many ways) 
>> provi
>> des only little info on how to connect a printer to an USB port. In case 
>> there i
>> s something special I overlooked, please let me know how I should do it and 
>> send
>>   this PR to Class www.
>>     My printer is an HP LaserJet 6MP without an USB interface (too old). It 
>> serve
>> s me fine when connected to a computer's parallel port. When I connect this 
>> prin
>> ter to a computer's USB port (with an adapter cable), only the first 
>> document (w
>> hat size ever) is printed. For further documents, printer starts blinking, 
>> stops
>>   blinking and does nothing.
>>     For modern computers no longer have a parallel port, I can only connect 
>> via U
>> SB.
>>     Obviously, the problem has nothing to with the spooling system, for it 
>> happen
>> s as well with [CMD=" "]cat test.ps > /dev/ulpt0[/CMD] issued twice: The 
>> first d
>> ocument is printed, any further not. (The printer understands Postscript.) 
>> Same
>> situation with /dev/unlpt0.
>>     I observe(d) the problem
>> - on my Acer Laptop with FreeBSD 8.0 (after [CMD=" "]kldload ulpt[/CMD])
>> - on my Apple Macmini with FreeBSD 10.0 (where ulpt is compiled into the 
>> kernel)
>> - on a laptop I had in the meantime of which I remember nothing except 
>> having Fr
>> eebSD installed
>> - on my Apple Macmini running under XUbuntu 10.4.3
>>     I do/did not observe the problem
>> + on my Apple Macmini running under MacOS X MountainLeopard (which I have 
>> completely replaced by FreeBSD)
>> + on my Acer Laptop using parallel port.
>>     Surprisingly the problem cannot be solved by turning the printer off 
>> and on a
>> gain. It can be solved by rebooting the computer (leaving the printer on).
>>     When I issue [CMD=" "]lpr test.ps[/CMD] a 2nd time and [CMD=" 
>> "]lpq[/CMD], I
>> get:
>> "waiting for lp to become ready (offline?)"
>>      When connected to the parallel interface interface, the printer worked 
>> fine
>> only in "polled mode". Unfortunately, I don't know how to tune 
>> /boot/device.hint
>> s for ulpt. And [CMD=" "]lptcontrol -p -d /dev/ulpt0[/CMD] returns: 
>> "lptcontrol:
>>   ioctl: Operation not supported by device".
>> 
>> Best regards,
>> Volker
>
> Hi,
>
> You can trace the USB traffic using usbdump. man usbdump Maybe that will give 
> you the clues you need to find the problem.
>
> Thank you!
>
> --HPS
>
>
Dear Hans Petter,

I did [CMD=" "]usbdump > number1[/CMD] when printing the first document, 
and same with new file for the 2nd, but it does not give me an clue. ERROR 
is always 0, and there were no packages gropped by the kernel.

Best regards,
Volker
Comment 3 Volker Nebel 2014-01-28 20:20:09 UTC
On Sat, 25 Jan 2014, Hans Petter Selasky wrote:

> On 01/25/14 22:35, Volker Nebel wrote:
>> 
>>> Number:         186110
>>> Category:       usb
>>> Synopsis:       connected over USB, only first document is printed
>>> Confidential:   no
>>> Severity:       non-critical
>>> Priority:       low
>>> Responsible:    freebsd-usb
>>> State:          open
>>> Quarter:
>>> Keywords:
>>> Date-Required:
>>> Class:          sw-bug
>>> Submitter-Id:   current-users
>>> Arrival-Date:   Sat Jan 25 21:40:00 UTC 2014
>>> Closed-Date:
>>> Last-Modified:
>>> Originator:     Volker Nebel
>>> Release:        10.0 on a Macmini, 8.0 on an Acer laptop
>>> Organization:
>>> Environment:
>> FreeBSD macmini.ror.de 10.0-RELEASE FreeBSD 10.0-Release #1: Fri Jan 24 
>> 20:32:29
>>   CET 2014     root@macmini.ror.de:/usr/obj/usr/src/sys/MACMINI  amd64
>> and for the ACER lapopt:
>> FreeBSD nebel.ror.de 8.0-RELEASE FreeBSD 8.0-RELEASE #3: Sat Jan 30 
>> 10:46:59 CET
>>   2010     root@nebel.ror.de:/usr/obj/usr/src/sys/WENSDAY  i386
>> 
>> 
>>> Description:
>> Hi!
>> 
>> Perhaps I only fail because the handbook (which is excellent in many ways) 
>> provi
>> des only little info on how to connect a printer to an USB port. In case 
>> there i
>> s something special I overlooked, please let me know how I should do it and 
>> send
>>   this PR to Class www.
>>     My printer is an HP LaserJet 6MP without an USB interface (too old). It 
>> serve
>> s me fine when connected to a computer's parallel port. When I connect this 
>> prin
>> ter to a computer's USB port (with an adapter cable), only the first 
>> document (w
>> hat size ever) is printed. For further documents, printer starts blinking, 
>> stops
>>   blinking and does nothing.
>>     For modern computers no longer have a parallel port, I can only connect 
>> via U
>> SB.
>>     Obviously, the problem has nothing to with the spooling system, for it 
>> happen
>> s as well with [CMD=" "]cat test.ps > /dev/ulpt0[/CMD] issued twice: The 
>> first d
>> ocument is printed, any further not. (The printer understands Postscript.) 
>> Same
>> situation with /dev/unlpt0.
>>     I observe(d) the problem
>> - on my Acer Laptop with FreeBSD 8.0 (after [CMD=" "]kldload ulpt[/CMD])
>> - on my Apple Macmini with FreeBSD 10.0 (where ulpt is compiled into the 
>> kernel)
>> - on a laptop I had in the meantime of which I remember nothing except 
>> having Fr
>> eebSD installed
>> - on my Apple Macmini running under XUbuntu 10.4.3
>>     I do/did not observe the problem
>> + on my Apple Macmini running under MacOS X MountainLeopard (which I have 
>> completely replaced by FreeBSD)
>> + on my Acer Laptop using parallel port.
>>     Surprisingly the problem cannot be solved by turning the printer off 
>> and on a
>> gain. It can be solved by rebooting the computer (leaving the printer on).
>>     When I issue [CMD=" "]lpr test.ps[/CMD] a 2nd time and [CMD=" 
>> "]lpq[/CMD], I
>> get:
>> "waiting for lp to become ready (offline?)"
>>      When connected to the parallel interface interface, the printer worked 
>> fine
>> only in "polled mode". Unfortunately, I don't know how to tune 
>> /boot/device.hint
>> s for ulpt. And [CMD=" "]lptcontrol -p -d /dev/ulpt0[/CMD] returns: 
>> "lptcontrol:
>>   ioctl: Operation not supported by device".
>> 
>> Best regards,
>> Volker
>
> Hi,
>
> You can trace the USB traffic using usbdump. man usbdump Maybe that will give 
> you the clues you need to find the problem.
>
> Thank you!
>
> --HPS
>
>

Hi,

for some reasons, printing with lpd on /dev/unlpt0 does work.
    The PR may be closed, thank you for your attention.

Best regards,
Volker
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:00:57 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped